#include "helicopter.h"
#define _USE_MATH_DEFINES // for M_PI
#include <cmath>



Helicopter::Helicopter(const char* name) :
	Model(name),
	spin("Blade Spin", 0, 360, 0, 1)
{
	properties.add(&spin);
}

void Helicopter::draw() {
	glPushMatrix();	

		glTranslated(0, spin.getValue() / 90,0);

		glTranslated(-1.5, 0, -1.5);
		drawBox(3, 3, 3);
		
		glPushMatrix();
			glTranslated(0, 1.5, 1.5);
			drawSphere(.75);
		glPopMatrix();

		glTranslated(1.5, 0, 1.5);

		glPushMatrix();
			glTranslated(0, 3, 0);
			glRotated(-90, 1, 0, 0);
			glScaled(.5, .5, .5);
			drawCylinder(2, 1, 1);

			glTranslated(0, 0, 1.25);

			glRotated(5 * spin.getValue(), 0, 0, 1);

			glPushMatrix();
				glRotated(-70, 1, 0, 0);
				drawCylinder(10, .5, .3);
			glPopMatrix();

			glPushMatrix();
				glRotated(70, 1, 0, 0);
				drawCylinder(10, .5, .3);
			glPopMatrix();

			glRotated(90, 0, 0, 1);

			glPushMatrix();
				glRotated(-70, 1, 0, 0);
				drawCylinder(10, .5, .3);
			glPopMatrix();

			glPushMatrix();
				glRotated(70, 1, 0, 0);
				drawCylinder(10, .5, .3);
			glPopMatrix();

		glPopMatrix();
	glPopMatrix();
}